Subject: Re: Named FTP password management

From: [email-masked] (IIB Admin)
Date: Thu, 07 Sep 1995 15:11:53 +0000

>You (David C. Brown) wrote.......
>> Now the question.  The users will need to maintain their passwords.  Is 
>> there a way to let user change their login password (from ftp)  without 
>> giving them telnet access to the FTP machine?
>
>Without starting a huge debate about security... you could set up a 
>WWW Forms (CGI) interface to do this, and there would not be a need for
>telnet access....

If the users have e-mail on the system and use POP to collect it, they could set their password that way.  Either that or just set up the pop password server and give them access to that - there's a couple of simple commands to change it that way, and they don't need to log in.  If you wanted to make it simple I suppose you could add prompts in the source.......

Sean
--
Sean O'Kelly                                Information Industries Board
[email-masked]                  Dept. Business Industry and 
I am not a Government Spokesman.            Regional Development
I'm here to help.
                        - We work for Queensland Business -

---

From: "Chadwick A. Dubuque" <[email-masked]>
Date: Wed, 6 Sep 1995 23:48:38 -0500 (CDT)

IIB Admin wrote:

> If the users have e-mail on the system and use POP to collect it, they
> could set their password that way.  Either that or just set up the pop
> password server and give them access to that - there's a couple of simple
> commands to change it that way, and they don't need to log in.  If you
> wanted to make it simple I suppose you could add prompts in the source.......

Or, you could put /usr/bin/passwd (or whatever) in your SITE EXEC path. Just
as long as your version doesn't run them uid root. :-)

Personally, I just made /usr/bin/passwd their shell. (Make sure to add it to
/etc/shells or where ever getusershell() looks!) That way, the only thing
they can do when they login is change their password. It beats /bin/false
for functionality.

-- 
Chadwick A. Dubuque            [email-masked]
http://www.acm.ndsu.NoDak.edu/~cdubuque/   finger for PGP pub. key 
postal:USA/58105-5164/ND/Fargo/IACC 258 NDSU Box 5164/Chad Dubuque

---

From: [email-masked] (Al Longyear)
Date: Thu, 7 Sep 1995 05:51:03 -0700 (PDT)

> If the users have e-mail on the system and use POP to collect it,
> they could set their password that way.  Either that or just set up
> the pop password server and give them access to that - there's a
> couple of simple commands to change it that way, and they don't need
> to log in.  If you wanted to make it simple I suppose you could add
> prompts in the source.......

Another method which works well for us is to simply set their shell
to the passwd program. Of course, for ftp access to work then, you
would need to put the passwd program into the /etc/shells list.

What this does is to permit the telnet access so that the user may
change the password. Once the password has been changed the telnet
access is terminated.

-- 
Al Longyear           [email-masked]
Finger for PGP key